<script type="text/javascript">
function toggle_securid() {
	var reg_form = $('register_form');
	if (reg_form == null) {
		return false;
	}
	reg_form.setStyle('display', 'none');
	if ($('securid_register').get('checked') == true) {
		if ($('user_registered').get('value') == 'false') {
			$('securid_user').set('value', '');
			$('securid_pwd').set('value', '');
			reg_form.setStyle('display', 'block');
		}
	}
	return false;
}
function check_user_options(check_branches) {
	var previous_user = $('previous_user');
	var username = $('username');
	var sel_etab = $('select_etab');
	var search_branch = 'default';
	if (sel_etab.getSelected().length > 0) {
		search_branch = sel_etab.getSelected()[0].get('value');
	}
	var cur_user = username.get('value') + '@' + search_branch;
	if (previous_user.get('value') != cur_user) {
		previous_user.set('value', cur_user);
		var request_check = new Request.JSON({url:'/check_user_options',
			onSuccess: function(response, responseText)
			{
				if ((response.search_branches != undefined) && (check_branches == 'true')) {
					if (response.search_branches.length > 1) {
						// doublons repérés : remplissage de la liste d'établissements
						update_etabs(response.search_branches, search_branch);
					}
					else {
						sel_etab.empty();
						$('row_etab').setStyle('display','none');
					}
					// on revérifie l'enregistrement de l'utilisateur
					// après mise à jour des branches
					return check_user_options('false');
				}
				if (response.securid_registered != undefined) {
					if (response.securid_registered == 'true') {
						// utilisateur déjà enregistré
						$('user_registered').set('value', 'true');
						$('securid_reg_label').set('text', '%s');
					} else {
						//affiche le champ d'enregistrement
						$('user_registered').set('value', 'false');
						$('securid_reg_label').set('text', '%s');
					}
					$('securid_user').set('value', '');
					$('securid_register').set('checked', false);
					toggle_securid();
				}
			}
		});
		request_check.post('username='+username.get('value')+'&user_branch='+search_branch+'&check_branches='+check_branches);
	}
}
function update_etabs(branches, current_branch) {
	var sel = $('select_etab');
	sel.empty();
	for(var i=0; i < branches.length; i++) {
		var opt = new Option(branches[i][1], value=branches[i][0]);
		if (branches[i][0] == current_branch) {
			opt.selected=true;
		}
		sel.appendChild(opt);
	}
	$('row_etab').setStyle('display', 'table-row');
}
</script>
